# Jednoduchá kalkulačka
"""
>>> str(123)
'123'
>>> int("123")
123
"""
ORD_ZERO = ord("0")
ORD_NINE = ord("9")

def is_char_digit(char):
    ord_char = ord(char)
    return (ORD_ZERO <= ord_char
            and ord_char <= ORD_NINE)
"""
>>> is_char_digit("+")
False
>>> is_char_digit("a")
False
>>> is_char_digit("6") 
True
"""
def compute(operation, arg1, arg2):
    if operation == "+":
        return arg1 + arg2
    elif operation == "-":
        return arg1 - arg2    
"""
>>> compute("+", 10, 3)
13
>>> compute("-", 10, 3)
7
"""

def eval_expr(expr):
    result = 0
    arg_str = ""
    last_op = "+"
    expr = expr + "+"
    for char in expr:
        if is_char_digit(char):
            arg_str = arg_str + char
        else:
            arg = int(arg_str)
            result = compute(last_op, result, arg)
            last_op = char
            arg_str = ""
        print(char, result, repr(arg_str), last_op)
    return result
    
"""
>>> eval_expr("10+3-2+12")
23
"""
# Úkol 1: Přidejte další operátory.
# Úkol 2: Vytvořte vyhodnocení výrazu v šestnáctkové soustavě.
# eval_hex_expr("1f+a2-1a")

